MPI_Lookup_name(3OpenMPI)

NAME
MPI_Lookup_name - Finds port associated with a service name

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Lookup_name(char *service_name, MPI_Info info,
	char *port_name)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_LOOKUP_NAME(SERVICE_NAME, INFO, PORT_NAME, IERROR)
	CHARACTER*(*)	SERVICE_NAME, PORT_NAME
	INTEGER		INFO, IERROR

C++ Syntax
#include <mpi.h>
void MPI::Lookup_name(const char *service_name, const MPI::Info& info,
	char* port_name)

INPUT PARAMETERS

service_name
    A service name (string).

info
    Options to the name service functions (handle). No options currently supported.

OUTPUT PARAMETERS

port_name
    a port name (string).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
This function retrieves a port_name published under service_name by a previous invocation of MPI_Publish_name. The application must supply a port_name buffer large enough to hold the largest possible port name (i.e., MPI_MAX_PORT_NAME bytes).

The info parameter should be MPI_INFO_NULL, as this routine does not parse any MPI Info arguments.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

See the MPI man page for a full list of MPI error codes.

SEE ALSO
MPI_Publish_name
MPI_Open_port